PACKAGE = xkeyval
TMPINPUTS=
TMPDOC=pst-xkey.dvi xkeyval.dvi

include ../make.rules
FORMAT = generic

install: $(TMPDOC)
	@rsync -a --log-format=%f run/*.sty $(TEXMFMAIN)/tex/latex/$(PACKAGE)/
	@rsync -a --log-format=%f run/*.tex $(TEXMFMAIN)/tex/generic/$(PACKAGE)/
	@rsync -a --log-format=%f $(TMPDOC) $(TEXMFMAIN)/doc/generic/$(PACKAGE)/

TEXINPUTS :=.:source:$(TEXINPUTS)
SRCDIR    = $(C)/macros/latex/contrib/$(PACKAGE)

xkeyval.dvi: source/xkeyval.dtx
	$(LATEX) xkeyval.dtx
	$(LATEX) xkeyval.dtx
	bibtex xkeyval
	makeindex -s gglo.ist -o xkeyval.gls xkeyval.glo
	makeindex -s gind.ist -o xkeyval.ind xkeyval.idx
	$(LATEX) xkeyval.dtx
	$(LATEX) xkeyval.dtx

pst-xkey.dvi: source/pst-xkey.dtx
	$(LATEX) pst-xkey.dtx
	$(LATEX) pst-xkey.dtx
	makeindex -s gglo.ist -o pst-xkey.gls pst-xkey.glo
	makeindex -s gind.ist -o pst-xkey.ind pst-xkey.idx
	$(LATEX) pst-xkey.dtx
	$(LATEX) pst-xkey.dtx

JUNK = *.bib *.tex *.sty *.def *.cls *.ble xkeyval.bbl xkeyval.blg
